simple.h File Reference
`#include "cryptlib.h"`
`#include "misc.h"`

Go to the source code of this file.

## Classes

class | ClonableImpl< DERIVED, BASE >
| _ More...
class | AlgorithmImpl< BASE, ALGORITHM_INFO >
| _ More...
class | InvalidKeyLength
| _ More...
class | InvalidRounds
| _ More...
class | Bufferless< T >
| _ More...
class | Unflushable< T >
| _ More...
class | InputRejecting< T >
| _ More...
struct | InputRejecting< T >::InputRejected
class | CustomFlushPropagation< T >
| _ More...
class | CustomSignalPropagation< T >
| _ More...
class | Multichannel< T >
| _ More...
class | AutoSignaling< T >
| _ More...
class | Store
| A BufferedTransformation that only contains pre-existing data as "output". More...
class | Sink
| A BufferedTransformation that doesn't produce any retrievable output. More...
class | BitBucket

## Detailed Description

Simple non-interface classes derived from classes in cryptlib.h.

Definition in file simple.h.